Skip to content

List and search encryption keys

Request to list encryption keys:

GET /api/v2/encrypt_keys.json

Example of response:

{
    "encrypt_keys": [{
        "key_id": "e9780258-f061-11e5-b9d7-e03f497dbdff",
        "tenant_id": "11111111-1111-1111-1111-111111111111",
        "name": "Acme 2026",
        "fingerprint": "cb874f07fe39656cf88150e569b5b9e8",
        "protection_mode": "user",
        "is_active": true,
        "public_key": "MIGfMA0GCSqGSIb3DQEBAQUAA4GNA..."
    }],
    "total": 1,
    "next_url": null
}

See Encryption key object fields and Collections for paging.

Search encryption keys

Parameter Description
search_term

Search by key name. Partial match, case insensitive.

GET /api/v2/encrypt_keys.json?search_term=Acme
tenant_id

Filter by tenant ID.

GET /api/v2/encrypt_keys.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff

Example with several parameters:

GET /api/v2/encrypt_keys.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff&search_term=Acme

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of encryption keys is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view encryption keys
404 Not Found The tenant_id parameter is not a valid UUID